Package com.collibra.dgc.core.api.dto.user

# Class RemoveUserFromUserGroupsRequest

Object
RemoveUserFromUserGroupsRequest

All Implemented Interfaces:
  `Serializable`

public class RemoveUserFromUserGroupsRequest extends Object implements Serializable
The properties needed to remove the user from given user groups.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `RemoveUserFromUserGroupsRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveUserFromUserGroupsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RemoveUserFromUserGroupsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getUserGroupIds()`
  Required. The list of IDs of the user groups which the user should be removed from.
  `UUID`
  `getUserId()`
  Required. The ID of the user who should be removed from user groups.
  `int`
  `hashCode()`
  `void`
  `setUserGroupIds(List<UUID> userGroupIds)`
  Required. The list of IDs of the user groups which the user should be removed from.
  `void`
  `setUserId(UUID userId)`
  Required. The ID of the user who should be removed from user groups.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoveUserFromUserGroupsRequest

    public RemoveUserFromUserGroupsRequest()

- ## Method Details

  - ### builder

    public static RemoveUserFromUserGroupsRequest.Builder builder()

  - ### getUserId

    public UUID getUserId()
    Required. The ID of the user who should be removed from user groups. Silently ignored if the ID is provided as path parameter of the request.

  - ### getUserGroupIds

    public List<UUID> getUserGroupIds()
    Required. The list of IDs of the user groups which the user should be removed from.

  - ### setUserId

    public void setUserId(UUID userId)
    Required. The ID of the user who should be removed from user groups. Silently ignored if the ID is provided as path parameter of the request.

  - ### setUserGroupIds

    public void setUserGroupIds(List<UUID> userGroupIds)
    Required. The list of IDs of the user groups which the user should be removed from.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`